Fibo Edit [Structured Instruction]
Comhtháthú
bria/fibo-edit/edit/structured_instruction
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit/edit/structured_instruction?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit/structured_instruction?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit/structured_instruction", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ga/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-edit/edit/structured_instruction",
"input": {}
}
Glaoigh ar an tsamhail Fibo Edit [Structured Instruction] (bria/fibo-edit/edit/structured_instruction) tríd an Doitong API. Doiciméid do ghníomhairí: https://doitong.com/ga/developers/models/bria/fibo-edit/edit/structured_instruction.md
POST https://api.doitong.ru/v1/run/bria/fibo-edit/edit/structured_instruction?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
Má tá stádas an fhreagra "queued" nó "running", seiceáil GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 arís go dtí go mbeidh sé "succeeded"; tá na comhaid in outputs[].url. Seolann POST https://api.doitong.ru/v1/quote/bria/fibo-edit/edit/structured_instruction leis an gcorp céanna an praghas beacht roimh an rith.
An t-iarratas seo: $0.01 10 gcreidmheas API · ≈ ₽1.05 Rith ar an leathanach seo
D’eochair API nua. Taispeántar anois é amháin agus tá sé sa chód agus i réimse eochair API thíos cheana féin. Coinnigh faoi rún é: ná cuir i gcód é a ritheann i mbrabhsálaí.
Beidh do chéad toradh anseo
Tóg iarratas thíos agus rith é le d’eochair API. Cóipeáiltear na haschuir chuig ár stóráil, coinnithe go deo nó ar feadh 7 lá saor in aisce.
Tóg iarratas
Gintear na rialtáin ó scéim na samhla. Nuashonraítear an cód agus an praghas de réir mar a athraíonn tú iad.
/run/bria/fibo-edit/edit/structured_instruction?wait=20
luachan → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit/edit/structured_instruction?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit/structured_instruction?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit/structured_instruction", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-edit/edit/structured_instruction",
"input": {},
"wait_seconds": 20
}
}
}
Rith an t-iarratas seo
Fanann d'eochair sa bhrabhsálaí seo: seoltar chuig Doitong API amháin í agus sábháiltear (localStorage) í ach amháin má chuireann tú tic le Meabhraigh. Faigh eochair API
Maidir le Fibo Edit [Structured Instruction]
Gineann sé an treoir struchtúrtha d’eagarthóireacht amháin, ní pictiúr. Is iad na hionchuir `image_url`, `mask_url`, `instruction` agus `seed` roghnach. Clúdaíonn an t-aschur JSON réimsí amhail réada, soilsiú, aeistéitic, socrú an chúlra, saintréithe grianghrafadóireachta agus téacs le rindreáil.
Paraiméadair
Seol an t-ainm canónach nó an t-ainm dúchasach, ní an dá cheann. Ainmneacha canónacha
image_urlroghnach
image
mask_urlroghnach
mask
instructionroghnach
seedroghnach
Glacann paraiméadair chomhaid le URL poiblí https://, URI data: suas le 10 MB, nó file_url uaslódála. Comhaid
Aschur
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-edit/edit/structured_instruction",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 10,
"usd": "0.01",
"charged": 10,
"refunded": 0
},
"input": {},
"output": {
"short_description": "string",
"objects": [
{
"description": "string",
"location": "string",
"relationship": "string",
"relative_size": "string",
"shape_and_color": "string",
"texture": "string",
"appearance_details": "string",
"number_of_objects": 1,
"pose": "string",
"expression": "string",
"clothing": "string",
"action": "string",
"gender": "string",
"skin_tone_and_texture": "string",
"orientation": "string"
}
],
"background_setting": "string",
"lighting": {
"conditions": "string",
"direction": "string",
"shadows": "string"
},
"aesthetics": {
"composition": "string",
"color_scheme": "string",
"mood_atmosphere": "string",
"preference_score": "string",
"aesthetic_score": "string"
},
"photographic_characteristics": {
"depth_of_field": "string",
"focus": "string",
"camera_angle": "string",
"lens_focal_length": "string"
},
"style_medium": "string",
"text_render": [],
"context": "string",
"artistic_style": "string",
"edit_instruction": "string"
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Réimsí aschuir
- short_description
- string | nullCur síos gairid ar an íomhá aschuir atá beartaithe.
- objects
- array of object {description, location, relationship, relative_size, shape_and_color, texture, appearance_details, number_of_objects, pose, expression, clothing, action, gender, skin_tone_and_texture, orientation} | nullSonraigh ábhar na híomhá ginte mar liosta, ag taifeadadh tréithe gach réada agus a ghaolta leis na réada eile a léirítear.
- background_setting
- string | nullSuíomh cúlra na híomhá ginte.
- lighting
- object {conditions, direction, shadows} | nullSoilsiú na híomhá ginte.
- aesthetics
- object {composition, color_scheme, mood_atmosphere, preference_score, aesthetic_score} | nullCáilíochtaí aeistéitiúla na híomhá ginte.
- photographic_characteristics
- object {depth_of_field, focus, camera_angle, lens_focal_length} | nullAiríonna grianghrafadóireachta na híomhá ginte.
- style_medium
- string | nullMeán stíle na híomhá ginte.
- text_render
- array of any | nullLiosta iontrálacha téacs le cur san íomhá.
- context
- string | nullComhthéacs na híomhá ginte.
- artistic_style
- string | nullStíl ealaíonta na híomhá ginte.
- edit_instruction
- string | nullTreoir ina gcuirtear síos ar conas an íomhá a chur in eagar.
Leaganacha eile de Fibo Edit
Tuilleadh samhlacha: LLM
Do ghníomhairí AI: tá an leathanach seo mar Markdown ag https://doitong.com/ga/developers/models/bria/fibo-edit/edit/structured_instruction.md. Gach samhail agus treoir: https://doitong.com/developers/llms.txt